BuildRequires: jpackage-1.4-compat
Name: ws-jaxme
Version: 0.3.1
Release: alt2

Summary: Open source implementation of JAXB
Group: Development/Java
License: Apache Software License

Url: http://ws.apache.org/jaxme/

Source0: %name-%version-src.tar.bz2
Patch0: %name-build_xml.patch

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-trax junit hsqldb log4j xmldb-api jaxp_parser_impl xml-commons-apis
BuildRequires: docbook-dtds docbook-style-xsl
BuildArch: noarch

%description
A Java/XML binding compiler takes as input a schema
description (in most cases an XML schema, but it may
be a DTD, a RelaxNG schema, a Java class inspected
via reflection, or a database schema). The output is
a set of Java classes:
* A Java bean class matching the schema description.
  (If the schema was obtained via Java reflection,
  the original Java bean class.)
* Read a conforming XML document and convert it into
  the equivalent Java bean.
* Vice versa, marshal the Java bean back into the
  original XML document.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
%summary.

%package manual
Summary: Documents for %name
Group: Development/Java

%description manual
%summary.

%prep
%setup -q -n %name-%version
find . -name "*.jar" -exec rm {} \;

%patch0

%build
%set_classpath %_javadir/hsqldb.jar
%add_classpath %_javadir/log4j.jar
%add_classpath %_javadir/jaxp_parser_impl.jar
%add_classpath %_javadir/xmldb-api.jar
%add_classpath %_javadir/xml-commons-apis.jar
%add_classpath %_javadir/junit.jar
%ant_build all doc \
-Dbuild.sysclasspath=first \
-Ddocbook.home=/usr/share/xml/docbook/dtd/4.1.2 \
-Ddocbookxsl.home=/usr/share/xml/docbook/xsl-stylesheets

%install
%__mkdir_p %buildroot{%_javadir/%name,%_javadocdir/%name,%_javadir/jaxme,%_javadocdir/jaxme}
# jars
pushd dist
for jar in *.jar; do
	%__install -Dpm 644 $jar \
	%buildroot%_javadir/%name/ws-$jar
	# jpackage compat
	ln -s  ../%name/ws-$jar %buildroot%_javadir/jaxme/$jar
done
popd

#javadoc
%__cp -pr build/docs/src/documentation/content/apidocs/* %buildroot%_javadocdir/%name
# jpackage compat
ln -s  ../%name %buildroot%_javadocdir/jaxme

%files
%doc LICENSE
%_javadir/%name
# jpackage compat
%_javadir/jaxme

%files javadoc
%defattr(0644,root,root,0755)
%_javadocdir/%name
# jpackage compat
%_javadocdir/jaxme

%files manual
%defattr(0644,root,root,0755)
%doc build/docs/src/documentation/content/manual/*

%changelog
* Sun May 06 2007 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2
- added JPackage compatible symlinks

* Sat Apr 23 2005 Vladimir Lettiev <crux@altlinux.ru> 0.3.1-alt1
- Initial build for ALT Linux Sisyphus

